Bug 117471 - UI 3D Effects buttons blank
Summary: UI 3D Effects buttons blank
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2018-05-07 06:55 UTC by Emil Tanev
Modified: 2018-05-09 11:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2018-05-07 06:55:15 UTC
Open Draw
Insert a shape
Right-click the shape - Convert to 3D
Right-click - 3D Effects

Issue: All but the Materials buttons are blank

https://screencast-o-matic.com/watch/cFhi14bOeB

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 08441d466dd70c203a519a133aaf1a5997adbbd3
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-07_01:12:11
Locale: en-US (en_US); Calc: group
Comment 1 Xisco Faulí 2018-05-07 08:24:06 UTC
I can't reproduce it in

Version: 6.1.0.0.alpha1+
Build ID: 213f12be2cab2106dde4a0e859faaa8259627c1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

nor in

Version: 6.1.0.0.alpha1+
Build ID: 213f12be2cab2106dde4a0e859faaa8259627c1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 2 Jacques Guilleron 2018-05-07 09:21:43 UTC
Hi Emil,

I reproduce with
LO 6.1.0.0.alpha1+ (x64) Build ID: 08441d466dd70c203a519a133aaf1a5997adbbd3
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-07_01:12:11
Locale: fr-FR (fr_FR); Calc: CL
but not with
LO  6.1.0.0.alpha1+ Build ID: 936eaedddbc6d21737745be3c3131607440e366c
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-04_01:09:04
Locale: fr-FR (fr_FR); Calc: CL

Thank you to have reported it.
Comment 3 Julien Nabet 2018-05-07 09:22:48 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.

I noticed this on console:
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/3dgeo.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/3drepres.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/3dlight.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/3dtextur.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/blend3d.png via icon theme elementary


warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/axial.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/ellipsoid.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/Quadratic.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/radial.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/Square.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/linear.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/last_custom_common.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/last_custom_common_grey.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/blank.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width1.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width2.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width3.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width4.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width5.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width6.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width7.png via icon theme elementary
warn:vcl:6409:6409:vcl/source/gdi/bitmapex.cxx:106: BitmapEx::BitmapEx(): could not load image svx/res/symphony/width8.png via icon theme elementary

Heiko/Andreas: noticing your work on icons, thought you might be interested in this one.
Comment 4 Xisco Faulí 2018-05-07 09:49:06 UTC
I can reproduce it after updating the bisect repos. Happening after:

author	heiko tietze <tietze.heiko@gmail.com>	2018-04-18 12:22:07 +0200
committer	Heiko Tietze <tietze.heiko@gmail.com>	2018-05-05 10:19:26 +0200
commit	60413c9800c27f53c1108015b50754b065bc98c6 (patch)
tree	a0f5a128c529c786c8200ce546a3730997549988
parent	f6fb5a17da883e89cae6f7a960266fc87ccc9f6b (diff)
Replace Galaxy icon theme by Colibre

Bisected with: bibisect-linux64-6.1

Adding Cc: to heiko tietze
Comment 5 Heiko Tietze 2018-05-07 10:34:01 UTC
Elementary icons are subsidiary, the more important thing here is the fallback to Colibre, introduced this weekend. And I'm sure, Andreas Kainz is working busy on the last missing pieces.

PS: Quite interesting where the /symphony stuff pops up ;-).
Comment 6 andreas_k 2018-05-07 19:54:47 UTC
good to have some expert here, Emil can you explain what the following icons/actions do:

svx/res/3dgeo.png
svx/res/3drepres.png
svx/res/3dlight.png
svx/res/3dtextur.png
svx/res/blend3d.png
Comment 7 Heiko Tietze 2018-05-07 22:21:31 UTC
(In reply to andreas_k from comment #6)
> good to have some expert here, Emil can you explain what the following
> icons/actions do:
> 
> svx/res/3dgeo.png
> svx/res/3drepres.png
> svx/res/3dlight.png
> svx/res/3dtextur.png
> svx/res/blend3d.png

See https://help.libreoffice.org/Impress/3D_Effects and Blender or similar tools. 3D objects have a geometry, a texture, different light sources and reflection etc.
Comment 8 Commit Notification 2018-05-08 05:58:11 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea9219fd3578bdcd0f7fd23bbc5b5e844e98ae5d

tdf#117471 add 3d effect icons to colibre

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Jacques Guilleron 2018-05-09 11:17:48 UTC
All icons are visibles again, whatever the icon set, in 3D effect wizard with
LO  6.1.0.0.alpha1+ (x64) Build ID: 4c5b4752786ae2c174cd8fa8aa42b27a0994f34a
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-08_23:43:34
Locale: fr-FR (fr_FR); Calc: CL
Thank you Andreas.